<?php

session_start();
include './ConexionII.php';
$_SESSION['Numero'] = $_GET[num];
$_SESSION['Fecha'] = $_GET[fecha];
$_SESSION['NombreCliente'] = $_GET[cliente];
$_SESSION['Cedula'] = $_GET[id];
$_SESSION['Direccion'] = $_GET[direccion];
$_SESSION['Ciudad'] = $_GET[ciudad];
$_SESSION['ApellidoCliente'] = $_GET[establecimiento];
$_SESSION['Congelador'] = $_GET[equipo];
$_SESSION['Subtotal']= 0;
$_SESSION['DescuentoAplicado']= $_GET[valordescuento];
$_SESSION['Descuento']= $_GET[descuento];
$_SESSION['IVA']= 0;
$_SESSION['Total']= 0;
$_SESSION['Contador'];
$Contador = $_SESSION['Contador'];
$queryAnulaFact = "UPDATE facturas SET Anulada = 'S' WHERE tipo LIKE 'REMISION' AND numero = ".$_SESSION['Numero'];
mysql_query($queryAnulaFact, $con);

$queryAnulaMovimientos = "UPDATE ventas SET Anulado = 'S' WHERE tipo LIKE 'REMISION' AND idfactura = ".$_SESSION['Numero'];
mysql_query($queryAnulaMovimientos, $con);


$result = mysql_query("SELECT codigo, descripcion, cantidadproducto FROM ventas, productos WHERE tipo LIKE 'REMISION' AND productos.codigo = ventas.idproducto AND ventas.idfactura =".$_SESSION['Numero']);
if(mysql_num_rows($result)>0){  
       while ($dato = mysql_fetch_array($result)){
$QueryproductoII = "UPDATE productos SET saldo = saldo + ".$dato['cantidadproducto']." WHERE codigo = ".$dato['codigo'];
mysql_query($QueryproductoII , $con);
               
        }
}


$_SESSION['Anulada'] = 'S';

/*$queryproducto = 'SELECT * FROM productos WHERE codigo = "'.$_SESSION['Linea'][$Indice]['codigo'].'" AND bodega LIKE  "%'.$_SESSION['Nombre'].'%"';
$resultproducto = mysql_query($queryproducto, $Con);
$datoproducto = mysql_fetch_array($resultproducto);
//echo 'SaldoProducto'.;
$Nuevosaldo = ($datoproducto['saldo'] - $_SESSION['Linea'][$Indice]['cantidad']);
$querysaldo = "UPDATE productos SET saldo = $Nuevosaldo WHERE bodega LIKE  '%".$_SESSION['Nombre']."%' AND codigo = '".$_SESSION['Linea'][$Indice]['codigo']."' ";

mysql_query($querysaldo, $con);*/





//

/*        if(mysql_num_rows($result)>0){  
       while ($dato = mysql_fetch_array($result)){
$_SESSION['Linea'][($_SESSION['Contador'] + 1)] = array('codigo' => $dato['codigo_1'], 'producto' => $dato['descripcion'], 'cantidad' => $dato['cantidadproducto'], 'valor' => $dato['precioproducto'], 'valorsiniva' => ($dato['precioproducto']/1.19), 'subtotal' => ($dato['precioproducto']*$dato['cantidadproducto']), 'subtotalsiniva' => 777);
$_SESSION['Subtotal'] = $_SESSION['Subtotal'] + (($dato['cantidadproducto'] * $dato['precioproducto'])/1.19);
$_SESSION['Total'] = $_SESSION['Total'] + ($dato['precioproducto']*$dato['cantidadproducto']);
$_SESSION['Contador'] = $_SESSION['Contador'] + 1;
$Contador = $_SESSION['Contador'];
               
        }
$_SESSION['IVA'] = $_SESSION['IVA'] + ($_SESSION['Total']-$_SESSION['Subtotal']) ;
        
       }
  */     



unset($_SESSION['Numero']);
unset($_SESSION['Fecha']);
unset($_SESSION['NombreCliente']);
unset($_SESSION['ApellidoCliente']);
unset($_SESSION['Cedula']);
unset($_SESSION['Direccion']);
unset($_SESSION['Telefono']);
unset($_SESSION['Celular']);
unset($_SESSION['Contador']);
unset($_SESSION['Correo']);
unset($_SESSION['Congelador']);
unset($_SESSION['Marca']);
unset($_SESSION['Linea']);
unset($_SESSION['CodigoProducto']);
unset($_SESSION['IdCliente']);
unset($_SESSION['Factura']);
unset($_SESSION['Descuento']);
unset($_SESSION['Subtotal']);
unset($_SESSION['Total']);
unset($_SESSION['IVA']);
unset($_SESSION['DescuentoAplicado']);
unset($dato['']);

header('Location: ConsultaRemisiones.php')




?>



